> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch cleaning system stats

> # Description

Gets cleaning system stats.

# Response

## 200 OK

```json
{
   "duplicates": number,
   "ipDuplicates": number,
   "incompletes": number
}
```

where:

- `duplicates`: The amount of duplicate responses. A response is duplicate when it is submitted from the same IP address and with same question answers as another response.
- `ipDuplicates`: The amount of responses that came from the same ip address.
- `incompletes`: The amount of incomplete responses. A response is considered as incomplete when it has less than 70% of its questions answered. Questions hidden by Skip Logic and other features are not taken into account.

## 400 Bad Request

> ProjectId is missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Gets cleaning system stats.

# Response

## 200 OK

```json theme={null}
{
   "duplicates": number,
   "ipDuplicates": number,
   "incompletes": number
}
```

where:

* `duplicates`: The amount of duplicate responses. A response is duplicate when it is submitted from the same IP address and with same question answers as another response.
* `ipDuplicates`: The amount of responses that came from the same ip address.
* `incompletes`: The amount of incomplete responses. A response is considered as incomplete when it has less than 70% of its questions answered. Questions hidden by Skip Logic and other features are not taken into account.

## 400 Bad Request

> ProjectId is missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

##### Query Parameters

| Parameter   | Description | Required | Example |
| ----------- | ----------- | -------- | ------- |
| `projectId` | —           | No       | —       |


## OpenAPI

````yaml GET /responses-capture-service/v1/responses/cleaningSystemStats
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/responses/cleaningSystemStats:
    get:
      summary: Fetch cleaning system stats
      description: >-
        # Description


        Gets cleaning system stats.


        # Response


        ## 200 OK


        ```json

        {
           "duplicates": number,
           "ipDuplicates": number,
           "incompletes": number
        }

        ```


        where:


        - `duplicates`: The amount of duplicate responses. A response is
        duplicate when it is submitted from the same IP address and with same
        question answers as another response.

        - `ipDuplicates`: The amount of responses that came from the same ip
        address.

        - `incompletes`: The amount of incomplete responses. A response is
        considered as incomplete when it has less than 70% of its questions
        answered. Questions hidden by Skip Logic and other features are not
        taken into account.


        ## 400 Bad Request


        > ProjectId is missing.


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        fetch-cleaning-system-stats-get-responses-capture-service-v1-responses-cleaningsystemstats
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Fetch cleaning system stats
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                duplicates: 0
                ipDuplicates: 0
                incompletes: 0
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````